nworks 5.7 automation error

A few days ago I was playing around with auto installation of one of my favorite products, nworks 5.7, and ran into a small bug. nworks 5.7 has an installation guide with good guidance on how to use command lines to install the different components, such as EMS, WebUI and VIC.

In our case the scenario we were testing was an upgrade from nworks 5.6 to 5.7, which is supported and generally works very well. You see if you manually run the installers for EMS, UI and VIC they will auto-detect that there is a previous version installed and it will upgrade it for you with only a few questions (most have been pre-populated already for you). Got to love that product!

However when doing the upgrade through the command line we found out that only the UI installer had a problem. The EMS and VIC will run fine and continue automatically without popups when using the fully populated command line command. However the UI installer did give a popup to ask whether you want to upgrade or not. We have talked with support about it and found that this was a bug. It will be fixed in the next version.

So unfortunately we can not automate that installer as easy in this version, but we will survive. I thought it was useful to mention though that in the combi of automated command line installation with an upgrade scenario that you can run into this one on the UI installer.

Lucky that due to the upgrade recognition the upgrade process by hand is easy-peasy!
Still love nworks and the monitoring and possibilities it provides.

Good luck!
Bob Cornelissen

Comments are closed.